#include <iostream>

using namespace std;

int main()
{

    int t;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        long long int x,y;
        cin>>x>>y;
    }

    for(int i=0;i<t;i++)
    {
        cout<<-1<<endl;
    }


    return 0;
}